bitel.billing.server.contract.bean

## Class LimitChangeTask

- java.lang.Object
- - bitel.billing.server.contract.bean.LimitChangeTask

-     public final class LimitChangeTask
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitChangeTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.util.Date` | `getDate()`
    `java.math.BigDecimal` | `getDeltaSum()`
    `int` | `getId()`
    `ContractLimitAvtoStatus` | `getStatus()`
    `int` | `getUserId()`
    `boolean` | `isCreateByContract()`
    `void` | `setContractId(int contractId)`
    `void` | `setCreateByContract(boolean createByContract)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDeltaSum(java.math.BigDecimal sum)`
    `void` | `setId(int id)`
    `void` | `setStatus(ContractLimitAvtoStatus status)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LimitChangeTask

          public LimitChangeTask()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getDeltaSum

          public java.math.BigDecimal getDeltaSum()

    - #### setDeltaSum

          public void setDeltaSum(java.math.BigDecimal sum)

    - #### getStatus

          public ContractLimitAvtoStatus getStatus()

    - #### setStatus

          public void setStatus(ContractLimitAvtoStatus status)

    - #### isCreateByContract

          public boolean isCreateByContract()

    - #### setCreateByContract

          public void setCreateByContract(boolean createByContract)